import Link from "next/link";
import { Download } from "react-feather";

export default function AttachmentComponent({ children, typeFile, href }: { children: React.ReactNode, typeFile: string, href: string }) {

    return (
        <div className="flex items-start my-2.5 bg-gray-100 dark:bg-gray-600 rounded-xl p-2">
            <div className="me-2">
                <span className="flex items-center gap-2 text-sm font-medium text-gray-900 dark:text-white pb-2">
                    {children}
                </span>
                <span className="flex text-xs font-normal text-gray-500 dark:text-gray-400 gap-2">
                    {typeFile}
                </span>
            </div>
            <div className="inline-flex self-center items-center">
                <Link href={href} target="_blank" className="inline-flex self-center items-center p-2 text-sm font-medium text-center text-gray-900 bg-gray-50 rounded-lg hover:bg-gray-100 focus:ring-4 focus:outline-none dark:text-white focus:ring-gray-50 dark:bg-gray-600 dark:hover:bg-gray-500 dark:focus:ring-gray-600">
                    <Download />
                </Link>
            </div>
        </div>
    )
}